/* Allocate a new client and add it to chan */
client_t *client_alloc_to_chan(channel_t *chan, int rd, int wr, int as_master);

/* Remove client from its channel and free all fields of the client. Assumes
   there's no outstanding operation */
void client_free(client_t *client);

/* Indicate if a thread is waiting for writing into the client's rlist, which
   is full */
void client_waiter_inc(client_t *client);
void client_waiter_dec(client_t *client);

